span
{
	color: #333;
}

/* Styl dla koszyka w footerze */
/* Dodajemy limit wysokości do koszyka */
#footer-cart-modal {
    position: absolute;
    bottom: 60px; /* Przykładowa wartość odstępu od dolnej krawędzi */
    z-index: 9999; /* Upewnij się, że modal jest na wierzchu */
    display: none;
    background-color: #fff;
    box-shadow: 0px 10px 50px 0px rgba(0, 0, 0, 0.15);
    border-radius: 20px;
    width: 100%; /* Dostosuj szerokość według potrzeb */
    height: auto; /* Możemy ustawić wysokość na 'auto', aby dopasować do zawartości */
    max-height: 500px; /* Ustalamy maksymalną wysokość dla przewijania */
    overflow-y: auto; /* Dodaj pasek przewijania, jeśli zawartość przekracza wysokość */
}

/* Styl dla koszyka w headerze */
#cart-modal {
    position: absolute;
    top: 80px; /* Przykładowa wartość odstępu od góry */
    z-index: 9999; /* Upewnij się, że modal jest na wierzchu */
    display: none;
    background-color: #fff;
    box-shadow: 0px 10px 50px 0px rgba(0, 0, 0, 0.15);
    border-radius: 5px;
    width: 400px;
    min-width: 400px;
    max-width: 400px; /* Stała szerokość zapobiega zwężaniu w Safari podczas scrolla */
    box-sizing: border-box;
    height: auto; 
    max-height: calc(100vh - 150px); /* Ustalamy maksymalną wysokość dla przewijania */
    overflow-y: auto; /* Dodaj pasek przewijania, jeśli zawartość przekracza wysokość */
}

@media (max-width:930px)
{
	#cart-modal
	{
		width:100%;
		min-width:0;
		left:0;
		max-width:100%;
	}
}

.cart-contents-count
{
	background-color: #b10000;
    border-radius: 99px;
    font-size: 11px;
    width: 15px;
    display: inline-block;
    height: auto;
    aspect-ratio: 1 / 1;
    text-align: center;
    color: white;
    font-weight: 400;
    margin-left: -10px;
	position: absolute;
	margin-top: -10px;

}


.cart-modal-content {
    position: relative;
	margin: 10px;
}

.cart-items, .footer-cart-items {
    padding: 5px;
}

.mini-cart-header
{
	display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
    flex-wrap:wrap;
}

.woocommerce-mini-cart
{
    margin-top: 20px;
}

.woocommerce-mini-cart__total
{
	text-align:center;
    font-weight: 300;
    width:100%;
}

.woocommerce-mini-cart__buttons a:first-of-type:hover
{
    transition: 0.3s ease;
}

.woocommerce-mini-cart__buttons a:last-of-type:hover
{
    transition: 0.3s ease;
}

.woocommerce-mini-cart__buttons
{
	display:flex;
	justify-content:space-evenly;
	margin-bottom:0px;
    width:100%;
}


.woocommerce-mini-cart__buttons a
{
    background-color: var(--color-text);
    color: white;
    border-radius: 5px;
    padding: 10px 26px 10px 14px;
    box-shadow: 0px 10px 30px 0px rgba(0, 0, 0, 0.25);
    font-weight: 300;
    text-decoration: none;
    font-size: 13px;
    background-image: url('https://nanika.pl/wp-content/themes/nanika-theme/assets/images/header/arrow-right-white.svg');
    background-repeat: no-repeat;
    background-position-x: 91%;
    background-position-y: center;
    background-size: 13px;
    min-height:0px;

}

.footer-cart-items .woocommerce-mini-cart__total
{
	color:black;
}

/* Dodatkowe style dla przycisku zamknięcia w footerze */
#footer-cart-close-btn {
    width: 100%;
    text-align: center;
    font-size: 16px;
    cursor: pointer;
    color: #333;
    position: sticky;
    top: 0;
    background-color: var(--color-bg);
    z-index: 99999;
    padding: 15px 0px;
	transition: 0.3s ease;

}

#footer-cart-close-btn:hover
{
	background-color:#ffe4e4;
}

.close-btn:hover,
.close-btn:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

.mini_cart_item
{
	border-top: 1px solid var(--color-line);
	padding: 10px 0px 4px 0px;
	display:flex;
    transition: 0.3s ease;
}

.mini_cart_item:hover
{
	transform: scale(0.95);
}

.mini_cart_item .product-thumbnail
{
	width:20%;
}

.mini_cart_item .product-thumbnail img
{
	width:100%;
	height:auto;
	object-fit:cover;
	aspect-ratio: 1 / 1;
	border-radius:10px;
	box-shadow: 0px 0px 15px rgba(0, 0, 0, 0.1);
}

.mini_cart_item .mini-cart-name-price
{
	width: calc(80% - 20px);
    margin: 10px;
}

.mini_cart_item .mini-cart-name-price .product-name
{
	font-size:14px;
	color: var(--color-blue1);
	font-weight:500;
}

.mini_cart_item .mini-cart-name-price .product-name a
{
	font-size:13px;
	color: var(--color-blue1);
	font-weight:500;
	text-decoration:none;
	display: -webkit-box;
    -webkit-line-clamp: 2;       /* liczba linii */;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.mini_cart_item .mini-cart-name-price .quantity
{
	font-size:14px;
	color: #333;
	font-weight:300;
}

.mini_cart_item .mini-cart-remove-bttn
{
	width:100%;
	display:flex;
	justify-content:right;
}

.mini_cart_item .mini-cart-remove-bttn a
{
	color:white;
	text-decoration: none;
}


.remove_from_cart_button
{
	background-color: #ed3434;
    width: 20px;
    height: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 99px;
    color: white;
    font-weight: 900;
	font-size:16px;
}

.product_list_widget li img
{
	width:70px;
	height:70px;
	object-fit: cover;
	border-radius:10px;
	margin-top:-20px;
}

.product_list_widget li a
{
	font-weight:400;
}



.product_list_widget 
{
	list-style: none;
    padding: 0px;
}
